Subject: Re: Crash in 1.1.1
From: Ken Coleman <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Wed, 17 May 2000 13:44:32 -0700 (PDT)

I'm sorry, but it didn't help.  Same exact crash
occurred, although there are a few minor register
differences.  Here's the pertinent line from cygcheck
-s -v just so you can verify that I'm using the right
DLL.

600k 2000/05/17 c:\bin\cygwin1.dll - os=4.0 img=1.0
sys=4.0
                "cygwin1.dll" v0.0 ts=2000/5/16 21:15

And here's the new register dump.  Same location for
the crash, but some things have changed slightly. 
That's not particularly surprising, I would say.

RXVT caused an invalid page fault in
module USER.EXE at 0010:00003b6d.
Registers:
EAX=00000001 CS=16ff EIP=00003b6d EFLGS=00000282
EBX=16ff3b6d SS=251f ESP=000087e6 EBP=6100bafb
ECX=00000014 DS=166f ESI=00000000 FS=4ccf
EDX=00010000 ES=0187 EDI=00000000 GS=0000
Bytes at CS:EIP:
89 46 e6 89 56 e8 66 81 7e e6 02 01 00 00 75 30 
Stack dump:
4ccf0187 01020187 00000000 00186104 085f6ce8 42bf0000
1b2c045d 00000001 01198822 000016ff 00ff0000 ffff0000
0000ffff 0002477f 011e0000 0028887c 

Anything I can do to help?  It still doesn't crash
under GDB or strace, so I'm at a loss.

- Ken.
[email-masked]

-----------------------------

I think that I have fixed this problem in the most
recent snapshot.
If you could check it out at:

http://sourceware.cygnus.com/cygwin/snapshots/

I'd appreciate it.  If this snapshot works, it will
become Cygwin v1.1.2.

cgf

__________________________________________________
Do You Yahoo!?
Send instant messages & get email alerts with Yahoo! Messenger.
http://im.yahoo.com/

--
Want to unsubscribe from this list?
Send a message to [email-masked]